<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
    <link href="/assets/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet">
<?php $this->endBlock(); ?>

    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
                <div class="row">
                    <form id="theFrm">
                        <input type="hidden" name="group_id" value="<?=$permissions_id?>">
                        <?php foreach($menu_items as $item) { ?>
                            <div class="col-sm-2">
                                <div class="panel panel-info">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <label class="i-checks">
                                                    <input type="checkbox" class="parent_checkbox" name="menu_ids[]" value="<?=$item->id?>" <?=in_array($item->id, $menu_ids)?'checked':''?>><i></i> <?=$item->name?>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <?php foreach($item->menus as $sub_item) { ?>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <label class="i-checks">
                                                        <input type="checkbox" class="sub_checkbox" name="menu_ids[]" value="<?=$sub_item->id?>" <?=in_array($sub_item->id, $menu_ids)?'checked':''?>><i></i> <?=$sub_item->name?>
                                                    </label>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </form>
                </div>
                <div class="row">
                    <div class="col-sm-5 col-sm-offset-5">
                        <button class="btn btn-primary btn-save" type="button">
                            <strong>保 存</strong>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $this->beginBlock('footer_js'); ?>
    <script src="/assets/js/plugins/bootstrap-table/bootstrap-table.min.js"></script>
    <script src="/assets/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
    <script src="/assets/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
    <script>
        $(function(){
            $('.btn-save').click(function(){
                var params = $('#theFrm').serialize();
                $.post('/permissions/permission',params,function(obj){
                    if(obj.success) {
                        parent.layer.msg('保存成功');
                        layer_close();
                    } else {
                        parent.layer.msg(data.msg);
                    }
                },'json');
            });
            //处理自动选择功能
            $('.parent_checkbox').click(function() {
                var checked = $(this).prop('checked');
                var subs = $(this).parent().parent().parent().parent().next().find('.sub_checkbox');
                for(var i = 0; i < subs.length; i++) {
                    if(checked) {
                        $(subs[i]).prop('checked', 'checked');
                    } else {
                        $(subs[i]).prop('checked', '');
                    }
                }
            });
            $('.sub_checkbox').click(function() {
                var checked = $(this).prop('checked');
                var subs = $(this).parent().parent().parent().parent().prev().find('.parent_checkbox');
                for(var i = 0; i < subs.length; i++) {
                    if(checked) {
                        $(subs[i]).prop('checked', 'checked');
                    }
                }
            });
        });
    </script>
<?php $this->endBlock(); ?>